function [] = generate_loadfile_test_simple(Ntest)

% 2/14/08 : generated from generate_loadfile_test to make use of simple
% test.lst
% Test features are generated and they will be saved at /Data/test_feats.mat

rem_sil = 1;

global myDatapath myTestfeatpath testlabel testlist testfiles;

%% Parameters for filter_data
Ngau_sil = 4; silmethod = 2;

spid = 0;                  spid_cnt = 0;
rev = 0;
data_test = {};

savefilen = testfiles; 
if(exist(savefilen, 'file'))
    disp(strcat(savefilen, 'exists..quiting'));
    return;
end

[Sp] = textread(testlist, '%s');

tsp = ''; spid_cnt = 0;
for spid = 1:length(Sp)
    csp = strread(Sp{spid}, '%s', 'delimiter', '/'); csp = csp{1};    
    if(~strcmp(csp, tsp))
        spid_cnt  =  spid_cnt + 1;                
        tsp = csp;
        Feat{spid_cnt} = {};
    end
    myRpath = strcat(myTestfeatpath, Sp{spid});

    if(~exist(myRpath))
        err_str = sprintf('%s does not exist', myRpath);
        error(err_str);
    end

    data = readmfcc(myRpath);    
           
    % This removes silence segments
    data = filter_data(data, rev, Ngau_sil, silmethod);    
    Feat{spid_cnt}{1+length(Feat{spid_cnt})} = data;
end

TestFeat = Feat; clear Feat;
save(savefilen, 'TestFeat');