function [mp, vp, cmv] = mean_var(p)

% p is of form {Ndim * Nobservations}.

mp = mean(p,2);
mprep = repmat(mp, 1, size(p,2));
p = p - mprep;
vp = p * p'/size(p,2);

% Return both mean and var in a cell.
cmv = {};
cmv.mean = mp;
cmv.var  = vp;