function [onesL, zerosL] = findones_zeros(powT)
% force initial and last point to be '0'
% Input is a row/column vector
% Outputs are column vectors


% Some problem
% Gives incorrect result for 
% x = [0     1     1     0     0     1     0     0     0     1];

if(min(size(powT)) ~=1)
    disp('Input should be row or column vector');
end

if(size(powT,1) > size(powT,2))
    powT = powT';
end

[onesL, zerosL] = findones_zeros_old(powT);
% 
% powT(1) = 0; powT(end) = 0;
% powT_ok = [powT, 1];
% powT_delayed = [1, powT];
% diff = powT_ok - powT_delayed;
% 
% %diff(1) = (-1).^(powT(1)+1);   
% 
% startzeros = find(diff == -1);
% endzeros  = find(diff == 1) - 1;
% 
% startones = endzeros + 1;  % Exclude the last point
% startones = startones(1:end-1);
% endones   = startzeros -1;
% endones   = endones(2:end);
% 
% onesL = [startones;endones]';
% zerosL = [startzeros;endzeros]';

function [onesL, zerosL] = findones_zeros_old(powT)
%powT(1) = 0; powT(end) = 0;
powT = [0, powT, 0];
powT_ok = [powT, 1];
powT_delayed = [1, powT];
diff = powT_ok - powT_delayed;

startzeros = find(diff == -1);
endzeros  = find(diff == 1) - 1;

startones = endzeros + 1;  % Exclude the last point
startones = startones(1:end-1);
endones   = startzeros -1;
endones   = endones(2:end);

onesL = [startones;endones]' - 1;
zerosL = [startzeros;endzeros]' -1;
zerosL(1) = max(1, zerosL(1));  % To remove chances of getting 0 in zerosL(1) which can happen if in original powT, the first value was 0.
zerosL(end) = min(length(powT)-2, zerosL(end)); % The end value cant exceed the size of original powT
[m,n] = size(zerosL);
if(zerosL(m, 1) > zerosL(m, 2))
    zerosL(m, :) = [];
end
if(zerosL(1, 1) > zerosL(1, 2))
    zerosL(1, :) = [];
end